com.smartgwt.client.types

## Enum RecordLayout

- java.lang.Object
- - java.lang.Enum<RecordLayout>
  - - com.smartgwt.client.types.RecordLayout

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<RecordLayout>

      public enum RecordLayout
      extends java.lang.Enum<RecordLayout>
      implements ValueEnum

  Controls the style of TableView record display

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SUMMARY_DATA` Show `title`, `description` and `data` fields only
    `SUMMARY_FULL` Show `title`, `description`, `info` and `data` fields similar to the iPhoneOS Mail application
    `SUMMARY_INFO` Show `title`, `description` and `info` fields only
    `TITLE_DESCRIPTION` Show `title` and `description` fields only
    `TITLE_ONLY` Show `title field` only

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static RecordLayout` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RecordLayout[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TITLE_ONLY

          public static final RecordLayout TITLE_ONLY

      Show `title field` only

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "titleOnly".

    - #### TITLE_DESCRIPTION

          public static final RecordLayout TITLE_DESCRIPTION

      Show `title` and `description` fields only

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "titleAndDescription".

    - #### SUMMARY_INFO

          public static final RecordLayout SUMMARY_INFO

      Show `title`, `description` and `info` fields only

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "summaryInfo".

    - #### SUMMARY_DATA

          public static final RecordLayout SUMMARY_DATA

      Show `title`, `description` and `data` fields only

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "summaryData".

    - #### SUMMARY_FULL

          public static final RecordLayout SUMMARY_FULL

      Show `title`, `description`, `info` and `data` fields similar to the iPhoneOS Mail application

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "summaryFull".

  - ### Method Detail

    - #### values

          public static RecordLayout[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecordLayout c : RecordLayout.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecordLayout valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`